missing-pips.c File Reference
`#include <sys/signal.h>`
`#include <sys/resource.h>`
`#include <fcntl.h>`
`#include <pthreadtypes.h>`

Go to the source code of this file.

## Typedefs

typedef void(* | sighandler_t )(int)

## Functions

sighandler_t | signal (int signum, sighandler_t handler)
int | kill (pid_t pid, int sig)
int | pthread_sigmask (int how, const sigset_t *set, sigset_t *oset)
int | execl (const char *path, const char *arg0,...)
int | execv (const char *path, char *const argv[])
int | pthread_kill (pthread_t thread, int sig)
sighandler_t | posix_signal (int signum, sighandler_t handler)
int | getrlimit (int resource, struct rlimit *rlp)
int | setrlimit (int resource, const struct rlimit *rlp)
int | getrusage (int who, struct rusage *r_usage)

## Variables

char ** | environ = 0

## Typedef Documentation

typedef void(* sighandler_t)(int)

Definition at line 8 of file missing-pips.c.

## Function Documentation

int execl | ( | const char * | path,
|  | const char * | arg0,
|  |  | ...
| ) |  |

Definition at line 27 of file missing-pips.c.

Referenced by rb_proc_exec().

int execv | ( | const char * | path,
|  | char *const | argv[]
| ) |  |

Definition at line 32 of file missing-pips.c.

Referenced by proc_exec_v().

int getrlimit | ( | int | resource,
|  | struct rlimit * | rlp
| ) |  |

Definition at line 48 of file missing-pips.c.

int getrusage | ( | int | who,
|  | struct rusage * | r_usage
| ) |  |

Definition at line 58 of file missing-pips.c.

Referenced by getrusage_time().

int kill | ( | pid_t | pid,
|  | int | sig
| ) |  |

Definition at line 17 of file missing-pips.c.

sighandler_t posix_signal | ( | int | signum,
|  | sighandler_t | handler
| ) |  |

Definition at line 43 of file missing-pips.c.

References signal().

int pthread_kill | ( | pthread_t | thread,
|  | int | sig
| ) |  |

Definition at line 37 of file missing-pips.c.

int pthread_sigmask | ( | int | how,
|  | const sigset_t * | set,
|  | sigset_t * | oset
| ) |  |

Definition at line 22 of file missing-pips.c.

Referenced by rb_disable_interrupt(), rb_enable_interrupt(), rb_trap_restore_mask(), and sig_trap().

int setrlimit | ( | int | resource,
|  | const struct rlimit * | rlp
| ) |  |

Definition at line 53 of file missing-pips.c.

sighandler_t signal | ( | int | signum,
|  | sighandler_t | handler
| ) |  |

Referenced by after_exec(), before_exec(), get_device_once(), posix_signal(), rb_call_inits(), rb_f_system(), rb_syswait(), and ruby_default_signal().

## Variable Documentation

char** environ = 0

Definition at line 6 of file missing-pips.c.

Referenced by compat_init_setproctitle(), and Init_Hash().